Debian Bug report logs - #689824
RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jargon Scott <jargdebbuga@halibutdepot.org>

Date: Sat, 6 Oct 2012 18:48:02 UTC

Severity: wishlist

Fixed in version yquake2/5.11.v2~dfsg1-1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689824; Package wnpp. (Sat, 06 Oct 2012 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jargon Scott <jargdebbuga@halibutdepot.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 06 Oct 2012 18:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jargon Scott <jargdebbuga@halibutdepot.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Sat, 06 Oct 2012 14:38:04 -0400
Package: wnpp
Severity: wishlist

* Package name    : yquake2
  Version         : 5.00
  Upstream Author : Yamagi Burmeister <yamagi@yamagi.org>
* URL             : http://www.yamagi.org/quake2/ ;
https://github.com/yquake2/yquake2
* License         : (GPLv2 ; Info-ZIP)
  Programming Lang: (C)
  Description     : Yamagi Quake II - Enhanced client for Quake II
Yamagi Quake II is a modern Quake II that offers a play
experience as close as possible to that of the original
1997 game.
.
Forked from the Icculus.org Quake 2 client, the Yamagi
release contains over 1,000 bugfixes and enhancements
for modern systems, including support for 64-bit, IPv6,
OGG vorbis soundtracks, unlimited screen resolutions, and
multiplatform support on Linux, FreeBSD, and Windows.
.
Sister projects of Yamagi Quake support the CTF mod
and the expansion packs "Ground Zero" and "The Reckoning".



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689824; Package wnpp. (Thu, 12 Sep 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Sep 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 689824@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 689824@bugs.debian.org
Cc: quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>, 689824-submitter@bugs.debian.org
Subject: Re: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Thu, 12 Sep 2013 10:11:30 +0200
retitle -1 ITP: yquake2 -- Yamagi Quake II, Enhanced client for Quake II
owner -1 pkg-games-devel@lists.alioth.debian.org

> Yamagi Quake II is a modern Quake II that offers a play
> experience as close as possible to that of the original
> 1997 game.

I think I'll package that under the umbrella of the pkg-games team.

 - Fabian





Message sent on to Jargon Scott <jargdebbuga@halibutdepot.org>:
Bug#689824. (Thu, 12 Sep 2013 08:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689824; Package wnpp. (Thu, 12 Sep 2013 10:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Sep 2013 10:18:05 GMT) Full text and rfc822 format available.

Message #18 received at 689824@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 689824@bugs.debian.org, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>, 689824-submitter@bugs.debian.org
Subject: Re: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Thu, 12 Sep 2013 11:14:07 +0100
On 12/09/13 09:11, Fabian Greffrath wrote:
> Yamagi Quake II is a modern Quake II that offers a play
> experience as close as possible to that of the original
> 1997 game.

The 'quake' package might be a useful reference for a game with
swappable engines, and contains SVG source for a Quake II icon in the
same style as its Quake I icon.

(Indeed, I wouldn't object to quake2 and quake2-server being built from
src:quake, if that'd be any easier... I suspect they'll end up pretty
similar.)

    S




Message sent on to Jargon Scott <jargdebbuga@halibutdepot.org>:
Bug#689824. (Thu, 12 Sep 2013 10:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689824; Package wnpp. (Thu, 12 Sep 2013 10:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Sep 2013 10:33:04 GMT) Full text and rfc822 format available.

Message #26 received at 689824@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Simon McVittie <smcv@debian.org>
Cc: 689824@bugs.debian.org, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>, 689824-submitter@bugs.debian.org
Subject: Re: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Thu, 12 Sep 2013 12:32:19 +0200
Am Donnerstag, den 12.09.2013, 11:14 +0100 schrieb Simon McVittie: 
> The 'quake' package might be a useful reference for a game with
> swappable engines, and contains SVG source for a Quake II icon in the
> same style as its Quake I icon.
> 
> (Indeed, I wouldn't object to quake2 and quake2-server being built from
> src:quake, if that'd be any easier... I suspect they'll end up pretty
> similar.)

Yes, that was my idea: To package the engine separately, let it provide
an alternative for /usr/games/quake2{,-server} and implement a frontend
to be included in the src:quake package. 

I am currently not sure, however, how a dedicated server is invoked for
quake2. There is a q2ded executable built from yquake2 sources, however.

- Fabian





Message sent on to Jargon Scott <jargdebbuga@halibutdepot.org>:
Bug#689824. (Thu, 12 Sep 2013 10:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689824; Package wnpp. (Fri, 13 Sep 2013 21:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Sep 2013 21:00:04 GMT) Full text and rfc822 format available.

Message #34 received at 689824@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Simon McVittie <smcv@debian.org>
Cc: 689824@bugs.debian.org, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>, 689824-submitter@bugs.debian.org
Subject: Re: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Fri, 13 Sep 2013 22:58:13 +0200
A first working package can be found here:

http://anonscm.debian.org/gitweb/?p=pkg-games/yquake2.git

A review would be highly appreciated.

Thank you!

- Fabian




Message sent on to Jargon Scott <jargdebbuga@halibutdepot.org>:
Bug#689824. (Fri, 13 Sep 2013 21:00:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#689824; Package wnpp. (Sun, 15 Sep 2013 03:04:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jargon Scott <jargdebbuga@halibutdepot.org>:
Extra info received and filed, but not forwarded. (Sun, 15 Sep 2013 03:04:30 GMT) Full text and rfc822 format available.

Message #42 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Jargon Scott <jargdebbuga@halibutdepot.org>
To: Fabian Greffrath <fabian@greffrath.com>, 689824-quiet@bugs.debian.org
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Sat, 14 Sep 2013 22:54:05 -0400 (EDT)
On Fri, 13 Sep 2013, Fabian Greffrath wrote:

> http://anonscm.debian.org/gitweb/?p=pkg-games/yquake2.git
>
> A review would be highly appreciated.

Thank you very much for working on this bug.  It's much appreciated. :)

The debianized package listed above builds fine for me on amd64 wheezy.  The game runs well with no noticeable issues.

I'm available if you need further details or testing-- just let me know.

Thanks and regards,
Jargon



Information stored :
Bug#689824; Package wnpp. (Mon, 16 Sep 2013 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and filed, but not forwarded. (Mon, 16 Sep 2013 09:12:04 GMT) Full text and rfc822 format available.

Message #47 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jargon Scott <jargdebbuga@halibutdepot.org>
Cc: 689824-quiet@bugs.debian.org, Simon McVittie <smcv@debian.org>, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Mon, 16 Sep 2013 11:10:38 +0200
Dear Jargon,

Am Samstag, den 14.09.2013, 22:54 -0400 schrieb Jargon Scott:
> Thank you very much for working on this bug. It's much appreciated. :)
> The debianized package listed above builds fine for me on amd64
> wheezy. The game runs well with no noticeable issues.
> I'm available if you need further details or testing-- just let me
> know.

thank you very much for the review! I have cleaned up the packaging a
bit and do now consider it ready for upload to Debian. 

However, the only point that I am still about unsure about is the name
of the binary package: The upstream project and source tarball are
called yquake2, whereas the prebuilt Debian packages that upstream
offers for Download are called yamagi-quake2 - which is the exact reason
why I kept this name. What do you think fits better? The same question
applies to the file names symlinked into /usr/games, btw.

Simon, would you be so kind to express your opinion and sponsor the
upload for this package if you find it appropriate?

Best regards,

- Fabian




Information stored :
Bug#689824; Package wnpp. (Mon, 16 Sep 2013 16:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <lists@sk2.org>:
Extra info received and filed, but not forwarded. (Mon, 16 Sep 2013 16:57:13 GMT) Full text and rfc822 format available.

Message #52 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Stephen Kitt <lists@sk2.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, quake@packages.debian.org, Simon McVittie <smcv@debian.org>, 689824-quiet@bugs.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Mon, 16 Sep 2013 18:55:33 +0200
Hi Fabian,

On Mon, 16 Sep 2013 11:10:38 +0200, Fabian Greffrath <fabian@greffrath.com>
wrote:
> However, the only point that I am still about unsure about is the name
> of the binary package: The upstream project and source tarball are
> called yquake2, whereas the prebuilt Debian packages that upstream
> offers for Download are called yamagi-quake2 - which is the exact reason
> why I kept this name. What do you think fits better? The same question
> applies to the file names symlinked into /usr/games, btw.

I'd vote for yquake2 as the source package, and whatever the upstream
yamagi-quake2 binary packages do - so that users of those packages can
upgrade to the Debian packages seamlessly.

> Simon, would you be so kind to express your opinion and sponsor the
> upload for this package if you find it appropriate?

I'm not Simon, but could you push your tags? The git repository is missing
upstream/5.11.v2_dfsg1.

Thanks,

Stephen



Information stored :
Bug#689824; Package wnpp. (Mon, 16 Sep 2013 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and filed, but not forwarded. (Mon, 16 Sep 2013 20:12:04 GMT) Full text and rfc822 format available.

Message #57 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Stephen Kitt <lists@sk2.org>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, quake@packages.debian.org, Simon McVittie <smcv@debian.org>, 689824-quiet@bugs.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Mon, 16 Sep 2013 22:11:21 +0200
Hi Stephen,

Am Montag, den 16.09.2013, 18:55 +0200 schrieb Stephen Kitt: 
> I'd vote for yquake2 as the source package, and whatever the upstream
> yamagi-quake2 binary packages do - so that users of those packages can
> upgrade to the Debian packages seamlessly.

Yes, that's the idea!

> I'm not Simon, but could you push your tags? The git repository is missing
> upstream/5.11.v2_dfsg1.

Indeed, I tend to forget to "git push --tags". Sould be fixed in GIT
now, thanks!

- Fabian





Information stored :
Bug#689824; Package wnpp. (Tue, 17 Sep 2013 09:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 17 Sep 2013 09:09:12 GMT) Full text and rfc822 format available.

Message #62 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Tue, 17 Sep 2013 10:07:59 +0100
On 16/09/13 10:10, Fabian Greffrath wrote:
> Simon, would you be so kind to express your opinion and sponsor the
> upload for this package if you find it appropriate?

It looks good at a first glance, although I haven't reviewed in detail.

I'm not sure how appropriate it is to put the engine binary on $PATH if
we expect users to run it via the wrapper script? Unlike the wrapper
script, it won't cope well with not having the data.

I'd like to have a quake2/experimental package (probably as part of
src:quake to reduce duplication) ready for the NEW queue at the same
time, so the Description in yamagi-quake2 can say "this is just the
engine, install quake2 to have a fully-working Quake II installation". I
have some vague work-in-progress on this, I'll try to put that on Alioth
tonight.

Similarly, I'd like to have quake2 support in at least
game-data-packager/experimental before this hits NEW - perhaps these
targets?

* quake2-demo: download and repack the demo into a quake2-demo package

* quake2-retail: repack the installed files from quake2-retail
(self-repacking :-) or the CD into a quake2-retail package; should maybe
not appear in help output

* quake2-patch: download and repack the point release into a
quake2-patch package; should maybe not appear in help output

* quake2: do quake2-patch and quake2-retail one after the other (and
install both .debs, if we're doing installations)

(Or if you squash the CD and patch into one binary package, like quake3
does, it should be called quake2-data, and ship the same files as the
old Debian package that yquake2 has adopted. If you do the separate
packages, they should have a Replaces.)

Bonus penguin points if you also have an optional target to rip the CD
audio and turn it into quake2-music :-)

    S




Information stored :
Bug#689824; Package wnpp. (Tue, 17 Sep 2013 11:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and filed, but not forwarded. (Tue, 17 Sep 2013 11:09:16 GMT) Full text and rfc822 format available.

Message #67 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Simon McVittie <smcv@debian.org>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Tue, 17 Sep 2013 13:07:00 +0200
Am Dienstag, den 17.09.2013, 10:07 +0100 schrieb Simon McVittie: 
> I'm not sure how appropriate it is to put the engine binary on $PATH if
> we expect users to run it via the wrapper script? Unlike the wrapper
> script, it won't cope well with not having the data.

Both quakespasm and darkplaces do also install their binaries
into /usr/games so I decided to do the same for yquake2.

> I'd like to have a quake2/experimental package (probably as part of
> src:quake to reduce duplication) ready for the NEW queue at the same
> time, so the Description in yamagi-quake2 can say "this is just the
> engine, install quake2 to have a fully-working Quake II installation". I
> have some vague work-in-progress on this, I'll try to put that on Alioth
> tonight.

Yes, that would be great!

> Similarly, I'd like to have quake2 support in at least
> game-data-packager/experimental before this hits NEW - perhaps these
> targets?

That would be also great! :)

> Bonus penguin points if you also have an optional target to rip the CD
> audio and turn it into quake2-music :-)

There is already a branch in g-d-p that adds this for quake. I think it
could be trivially adapted to quake2 as well.

Thanks for your effort!

- Fabian





Information stored :
Bug#689824; Package wnpp. (Thu, 26 Sep 2013 11:00:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 26 Sep 2013 11:00:25 GMT) Full text and rfc822 format available.

Message #72 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, quake@packages.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Thu, 26 Sep 2013 11:59:16 +0100
On 17/09/13 12:07, Fabian Greffrath wrote:
> Am Dienstag, den 17.09.2013, 10:07 +0100 schrieb Simon McVittie: 
>> I'm not sure how appropriate it is to put the engine binary on $PATH if
>> we expect users to run it via the wrapper script? Unlike the wrapper
>> script, it won't cope well with not having the data.
> 
> Both quakespasm and darkplaces do also install their binaries
> into /usr/games so I decided to do the same for yquake2.

I moved them off the $PATH; we can always put them back there later. I
also re-DFSG'd it, and turned off SYSTEMWIDE.

Explanation for the (admittedly odd-looking) removal of SYSTEMWIDE: with
it enabled, the engine will always search /usr/share/games/quake2 for
pak files. Without it, the engine will search where it's told to search
(via a "+set basedir ..." command-line argument), so we can have
multiple independent "games" that don't interfere with each other. One
such game is the demo data in /usr/share/games/quake2-demo, which can be
parallel-installed with the full data this way, and activated via
"quake2 --demo" - good for maintainers actually ever testing it!

Things still to be done:

* The dlopen() stuff for OpenGL/OpenAL seems bad: we don't benefit from
  Debian's extensive library dependency checking. I think we should
  patch the client to link those libraries in at compile time in the
  normal way (like I did for darkplaces) and hard-depend on them.
  Their size is insignificant when compared with the Quake II data.

>> I'd like to have a quake2/experimental package (probably as part of
>> src:quake to reduce duplication) ready for the NEW queue at the same
>> time, so the Description in yamagi-quake2 can say "this is just the
>> engine, install quake2 to have a fully-working Quake II installation".

src:quake git branch wip/quake2

Completely untested, but it compiles.

Things still to be done:

* test the built .deb and the init script
* general review
* W: quake2-server: maintainer-script-needs-depends-on-adduser postinst

>> Similarly, I'd like to have quake2 support in at least
>> game-data-packager/experimental before this hits NEW

src:game-data-packager branch wip/quake2

Somewhat untested, and only tested via "./game-data-packager" so far.

Things still to be done:

* Jon, does it look OK to you?
* maybe give gdp_unzip support for the equivalent of "unzip -d"/"7z -o",
  and decide whether it's doing "7z e"/"unzip -j" or "7z x"/"unzip"
  (at the moment it depends on the tool used) - I'm not comfortable with
  just changing it immediately, because I don't have any of the games
  it's currently used for, so I don't know which behaviour was intended

>> Bonus penguin points if you also have an optional target to rip the CD
>> audio and turn it into quake2-music :-)
> 
> There is already a branch in g-d-p that adds this for quake. I think it
> could be trivially adapted to quake2 as well.

This is not on the critical path for getting something reasonable into
the NEW queue, so it can wait.

    S




Information stored :
Bug#689824; Package wnpp. (Fri, 27 Sep 2013 01:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 27 Sep 2013 01:15:09 GMT) Full text and rfc822 format available.

Message #77 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, debian-devel-games@lists.debian.org, Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Fri, 27 Sep 2013 02:12:20 +0100
Diverting this to debian-devel-games for somewhat wider feedback; see
#689824 for older context. I'd particularly appreciate any feedback from
Jon on g-d-p, and from Fabian on Quake II.

On 26/09/13 11:59, Simon McVittie wrote:
> * The dlopen() stuff for OpenGL/OpenAL seems bad: we don't benefit from
>   Debian's extensive library dependency checking. I think we should
>   patch the client to link those libraries in at compile time in the
>   normal way (like I did for darkplaces) and hard-depend on them.
>   Their size is insignificant when compared with the Quake II data.

I did that: wip/qgl branch in yquake2 git.

While doing so I realised that if we want a split package, the client
part will have to depend on the server part, because they both want
game.so. I renamed yamagi-quake2-server to yamagi-quake2-core and made
yamagi-quake2 depend on it - it contains the server binary, but no init
script or adduser invocation or anything (those are in quake2-server).

>>> I'd like to have a quake2/experimental package (probably as part of
>>> src:quake to reduce duplication) ready for the NEW queue at the same
>>> time, so the Description in yamagi-quake2 can say "this is just the
>>> engine, install quake2 to have a fully-working Quake II installation".
> 
> src:quake git branch wip/quake2
> 
> Completely untested, but it compiles.

After some adjustment, it even works. Review welcome. I think it's
basically good for upload, but perhaps to experimental.

>>> Similarly, I'd like to have quake2 support in at least
>>> game-data-packager/experimental before this hits NEW
> 
> src:game-data-packager branch wip/quake2
> 
> Somewhat untested, and only tested via "./game-data-packager" so far.
> 
> Things still to be done:
> 
> * Jon, does it look OK to you?
> * maybe give gdp_unzip support for the equivalent of "unzip -d"/"7z -o",
>   and decide whether it's doing "7z e"/"unzip -j" or "7z x"/"unzip"
>   (at the moment it depends on the tool used) - I'm not comfortable with
>   just changing it immediately, because I don't have any of the games
>   it's currently used for, so I don't know which behaviour was intended

Still pending; someone (probably me!) needs to test this in more situations.

Regards,
    S




Added tag(s) pending. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 29 Sep 2013 14:45:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#689824; Package wnpp. (Sun, 29 Sep 2013 14:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 29 Sep 2013 14:45:08 GMT) Full text and rfc822 format available.

Message #84 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: debian-devel-games@lists.debian.org, 689824-quiet@bugs.debian.org
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Sun, 29 Sep 2013 15:40:39 +0100
tags 689824 + pending
thanks

I've uploaded game-data-packager/34 to experimental, with new support for:

* quake-music
* quake-armagon-music
* quake-dissolution-music
* quake2-full-data
* quake2-demo-data
* quake2-music

and uploaded quake/4 (with new quake2 and quake2-server binary packages)
and yquake2/5.11.v2~dfsg1-1 to the NEW queue for experimental.

Regards,
    S




Information stored :
Bug#689824; Package wnpp. (Tue, 01 Oct 2013 19:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and filed, but not forwarded. (Tue, 01 Oct 2013 19:48:13 GMT) Full text and rfc822 format available.

Message #89 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Simon McVittie <smcv@debian.org>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, debian-devel-games@lists.debian.org, Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Tue, 01 Oct 2013 21:46:33 +0200
Hi Simon,

Am Freitag, den 27.09.2013, 02:12 +0100 schrieb Simon McVittie: 
> Diverting this to debian-devel-games for somewhat wider feedback; see
> #689824 for older context. I'd particularly appreciate any feedback from
> Jon on g-d-p, and from Fabian on Quake II.

sorry for the late feedback, I have been away from screen for a few
days. Short answer: I appreciate your changes and thank you for
uploading the package!

> While doing so I realised that if we want a split package, the client
> part will have to depend on the server part, because they both want
> game.so. I renamed yamagi-quake2-server to yamagi-quake2-core and made
> yamagi-quake2 depend on it - it contains the server binary, but no init
> script or adduser invocation or anything (those are in quake2-server).

I would have prefered

- yamagi-quake2
- yamagi-quake2-server
- yamagi-quake2-common

packages, but it's also alright as you did it. :)

> > src:quake git branch wip/quake2

> > src:game-data-packager branch wip/quake2

Thanks for uploading these as well, good job!

- Fabian





Information stored :
Bug#689824; Package wnpp. (Wed, 02 Oct 2013 11:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 02 Oct 2013 11:12:05 GMT) Full text and rfc822 format available.

Message #94 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, debian-devel-games@lists.debian.org, Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Wed, 02 Oct 2013 12:09:19 +0100
On 01/10/13 20:46, Fabian Greffrath wrote:
> Am Freitag, den 27.09.2013, 02:12 +0100 schrieb Simon McVittie: 
>> I renamed yamagi-quake2-server to yamagi-quake2-core and made
>> yamagi-quake2 depend on it
> 
> I would have prefered
> 
> - yamagi-quake2
> - yamagi-quake2-server
> - yamagi-quake2-common
> 
> packages

I'm not sure the ftp-masters would agree: tiny packages have a cost too
(everyone's Packages file gets larger, whether they ever play Quake II
or not). Installing the q3ded executable on players' systems costs 212
KiB (on amd64), which is fairly small when compared with game.so (824
KiB) and insignificant when compared with the data packages from
game-data-packager (50 MiB for the demo, 366 MiB for the full game, not
including the optional music).

I *do* consider "I have a whole dependency chain I didn't want" to be a
valid reason to split packages, so I did separate yamagi-quake2 (depends
on X, SDL, OpenGL etc.) from -core (doesn't).

I also consider "now I'm running a server I didn't want" to be a valid
reason to split packages, which is why quake2 and quake2-server are
separate - quake2-server contains the init script, whereas the server in
yamagi-quake2-common is just an executable that won't be run unless
someone deliberately runs it.

Signed .changes in <http://www.pseudorandom.co.uk/~smcv/20131002quake2/>
if people want to try it out while it's in NEW (sorry, I should have
done that upload at the same time as the dput).

    S




Information stored :
Bug#689824; Package wnpp. (Wed, 02 Oct 2013 18:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and filed, but not forwarded. (Wed, 02 Oct 2013 18:54:10 GMT) Full text and rfc822 format available.

Message #99 received at 689824-quiet@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Simon McVittie <smcv@debian.org>
Cc: Jargon Scott <jargdebbuga@halibutdepot.org>, 689824-quiet@bugs.debian.org, debian-devel-games@lists.debian.org, Jon Dowland <jmtd@debian.org>
Subject: Re: Bug#689824: RFP: yquake2 -- Yamagi Quake II - Enhanced client for Quake II
Date: Wed, 02 Oct 2013 20:53:22 +0200
Am Mittwoch, den 02.10.2013, 12:09 +0100 schrieb Simon McVittie: 
> I'm not sure the ftp-masters would agree: tiny packages have a cost too
> (everyone's Packages file gets larger, whether they ever play Quake II
> or not). Installing the q3ded executable on players' systems costs 212
> KiB (on amd64), which is fairly small when compared with game.so (824
> KiB) and insignificant when compared with the data packages from
> game-data-packager (50 MiB for the demo, 366 MiB for the full game, not
> including the optional music).

Please don't get me wrong, my comment was not meant to criticize you. I
find your packaging perfectly reasonable. It is just that I'd generally
like to split my packages into logical units. And the game.so that is
required by both client and server is IMHO one such unit. However, in
this specific case, the game.so is arch-dependent and I agree with you
that splitting it from the server executable would if at all only save
some KiB and is thus not worth the effort.

> I also consider "now I'm running a server I didn't want" to be a valid
> reason to split packages, which is why quake2 and quake2-server are
> separate - quake2-server contains the init script, whereas the server in
> yamagi-quake2-common is just an executable that won't be run unless
> someone deliberately runs it.

This sounds reasonable, although it's a bit different from the way doom
is handled in Debian.

> Signed .changes in <http://www.pseudorandom.co.uk/~smcv/20131002quake2/>
> if people want to try it out while it's in NEW (sorry, I should have
> done that upload at the same time as the dput).

I have local builds, but thank you!

- Fabian





Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Thu, 09 Jan 2014 13:03:14 GMT) Full text and rfc822 format available.

Notification sent to Jargon Scott <jargdebbuga@halibutdepot.org>:
Bug acknowledged by developer. (Thu, 09 Jan 2014 13:03:14 GMT) Full text and rfc822 format available.

Message #104 received at 689824-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 689824-close@bugs.debian.org
Subject: Bug#689824: fixed in yquake2 5.11.v2~dfsg1-1
Date: Thu, 09 Jan 2014 13:00:06 +0000
Source: yquake2
Source-Version: 5.11.v2~dfsg1-1

We believe that the bug you reported is fixed in the latest version of
yquake2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689824@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated yquake2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 29 Sep 2013 14:38:45 +0100
Source: yquake2
Binary: yamagi-quake2 yamagi-quake2-core
Architecture: source amd64
Version: 5.11.v2~dfsg1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 yamagi-quake2 - enhanced version of id Software's Quake II - client
 yamagi-quake2-core - enhanced version of id Software's Quake II - non-GUI part
Closes: 689824
Changes: 
 yquake2 (5.11.v2~dfsg1-1) experimental; urgency=low
 .
   [ Fabian Greffrath ]
   * Initial release (Closes: #689824).
   * Filter potentially non-free stuff out of the upstream release tarball.
   * Append to {C,LD}FLAGS instead of overriding them,
     obey dpkg-buildflags thereby.
   * Install port-specific architecture-dependent files
     into a separate LIBDIR directory.
   * Fix spelling-errors detected by lintian.
   * Add Recommends: libgl1-mesa-glx | libgl1, libopenal1. They get dlopen()ed
     and should be installed in all but unusual installations. This way they
     also show up in reportbug templates.
 .
   [ Simon McVittie ]
   * Add myself to Uploaders
   * Enable pristine-tar support
   * Fix git-import-orig filter syntax
   * Also filter out src/backends/sdl_osx since those files' origin and
     license are unclear
   * debian/copyright: document why this is in contrib, and how the
     orig tarball was filtered
   * Provide a virtual package for the quake2-engine
   * Take the engine and server off the $PATH, recommending the quake2
     package (from src:quake >= 4) as the "user-facing" Quake II package
   * Provide virtual packages for the quake2-engine and quake2-engine-server
   * Split out a yamagi-quake2-core package with the server and shared files
   * Link against libgl, libopenal1 libraries at compile time in the
     usual way, instead of dlopen() + Recommends
   * Set SYSTEMWIDE directory to the LIBDIR, so the wrapper scripts
     in the quake2, quake2-server packages can select either demo data
     (/usr/share/games/quake2-demo) or full data (/usr/share/games/quake2)
     if both are installed
   * yamagi-quake2-core: add Breaks/Replaces for the
     yamagi-quake2 packages provided by upstream
   * Upload to experimental
Checksums-Sha1: 
 138be3a97078bc7adec2d0321a8dca9c34339c74 2175 yquake2_5.11.v2~dfsg1-1.dsc
 d5aa7892312eb61211b5c5b435928c903946fb5e 621065 yquake2_5.11.v2~dfsg1.orig.tar.gz
 1cef6851291cf926e52d75360bc8e1c3033f29bd 17821 yquake2_5.11.v2~dfsg1-1.debian.tar.gz
 d221d746e17cbdb43b16d06319ec8d4cb7d33267 309000 yamagi-quake2_5.11.v2~dfsg1-1_amd64.deb
 9f53ba55aedec80694fc4adea72a72e3e5cd19d3 269882 yamagi-quake2-core_5.11.v2~dfsg1-1_amd64.deb
Checksums-Sha256: 
 d45de802c2ffb45adbdd1a9cc10837234d15150b95ca480642bea4e5b3eccc4e 2175 yquake2_5.11.v2~dfsg1-1.dsc
 999497e0ca3634229da41657a253812f3e32b745c8d9b11a2a37242ae9a64838 621065 yquake2_5.11.v2~dfsg1.orig.tar.gz
 874ca059c949490d4c722dee77824b16e252db83e1fd24bbadab936ac7f05d08 17821 yquake2_5.11.v2~dfsg1-1.debian.tar.gz
 46abbd9ff2aca78efe42d5c20cb1b627cc63e389085e7d43faa0c759d906a581 309000 yamagi-quake2_5.11.v2~dfsg1-1_amd64.deb
 2fd3836f07224d63d5a80883a13ec2fb567b853ab762b0a548ec5ae7132edbc4 269882 yamagi-quake2-core_5.11.v2~dfsg1-1_amd64.deb
Files: 
 dd13ab7eb87759985a8b05b2f808204c 2175 contrib/games extra yquake2_5.11.v2~dfsg1-1.dsc
 67596c50b692d66ee861e3ddaf478fb9 621065 contrib/games extra yquake2_5.11.v2~dfsg1.orig.tar.gz
 f1a1db2dd9175867d0fad65b047d83ca 17821 contrib/games extra yquake2_5.11.v2~dfsg1-1.debian.tar.gz
 6d15517efd53e0fc435252e621b1f8c3 309000 contrib/games extra yamagi-quake2_5.11.v2~dfsg1-1_amd64.deb
 e5c5285be17d8ac3acbf31edcba53711 269882 contrib/games extra yamagi-quake2-core_5.11.v2~dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQIUAwUBUkg6IE3o/ypjx8yQAQj4Iw/4z/81wmEiPy9jsXuGfc5yXBnVv4GMjdlr
wq5qVuA181Xrov9mN+IV8ZxhSXCE5r4HedK4YOcJD9lx0mln5uhF29H2oc7HwN3l
N3X8VEGQPY7IFevUL2NBNhSW0+V1MqZ3IaeMzTiU+yEab3qLaaMrCF6FjfsP/E8h
OOGILXey/EMOfGZfRkP3tNUPzDkovtnZSgo44h8rpOOKDN84etNVpthcCZ1VJ8JL
1rYqOA7TDNvSuGU4lmSqU0yxfXxhLXZ0An7rGTvIKj8X2qHMTd8pujKvTH2k7haq
4fOmEF0zq9ocvq5/yiexaM4EzSfQFljZbPmuBg42w9MLmnXZDcRFHCIzE3LFofF/
3ertaBY9xRmaforxE9meybPTFKr781vO6OH6ztTneI69ZYAgVEUEBfc9tJJnYL2W
BF14lIlUQEo6MGgLWE2BzRcTwpEy/wjQQdPd4CIXU6tnLqbR69GCA+lkHcVfSC+x
IBfj96zigxvZZdXZbD5XeNyvcH2v9bEakc7oqC75JySBkTKPzIn0uOEXj9iAkUMt
rupLRUzZdnO9u3nZv3Qh3XxNFda2N+z0ZxStxB7bFtx91/Tv1ngS+0aBw424jPWz
MmkSfYX3y7eqBmjAJtjhERIrZrNCowu5gxLWefmeSW0vlLJnVNEGmtCPP55cyI8h
ArniZegOZg==
=6Czy
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Feb 2014 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:52:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.